#ifndef SBCLIB_RND_gethomedir
#ifndef __linux__
#include <windows.h>
#endif

char *gethomedir(void)
{ // String constructor
	#ifdef __linux__
	char *ret=(char *)malloc(2); strcpy(ret,".");
	#else // Windows
	char *ret=(char *)malloc(500);
	GetModuleFileName(NULL,ret,500);
	*strrchr(ret,'\\')=0;
	#endif
	return ret;
}

// Old less-reliable version that used commandline
/*#include <stdlib.h>
#include <rnd/streqi.c>
char *gethomedir(const char *cmdline) // Call gethomedir(GetCommandLine()); on Windows
{ // String constructor
	char *s=(char *)cmdline,inquotes=0;
	while ((*s!=' ' || inquotes) && *s) inquotes^=*s++=='"';
	int l=s-cmdline;
	char *first=(char *)malloc(l+1),*f=first;
	if (*s) {memcpy(f,cmdline,l); f[l]=0;} else strcpy(f,cmdline); // Get first element of cmdline
	if (*f=='"' && f[l-1]=='"') {f[l-1]=0; f++;} // Remove quotes
	for (s=first+l-1;s>f && (*s!='\\' && *s!='/');s--); *s=0; // Strip everything past last backslash (or forwardslash in the case of retarded PPT links)
	char *ret; streqi(&ret,f);
	free(first);
	return ret;
}*/

#define SBCLIB_RND_gethomedir
#endif
